### Signal

# Gtk Range::change-value

#### Declaration

    gboolean
    change_value (
      GtkRange* self,
      GtkScrollType* scroll,
      gdouble value,
      gpointer user_data
    )

#### Description [src]

Emitted when a scroll action is performed on a range.

It allows an application to determine the type of scroll event that occurred and the resultant new value. The application can handle the event itself and return `TRUE` to prevent further processing. Or, by returning `FALSE`, it can pass the event to other handlers until the default GTK handler is reached.

The value parameter is unrounded. An application that overrides the ::change-value signal is responsible for clamping the value to the desired number of decimal digits; the default GTK handler clamps the value based on `GtkRange:round-digits`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`scroll`

  Type: `GtkScrollType`

  The type of scroll action that was performed.

  The data is owned by the caller of the function.

`value`

  Type: `gdouble`

  The new value resulting from the scroll action.

#### Return value

Type: `gboolean`

`TRUE` to prevent other handlers from being invoked for the signal, `FALSE` to propagate the signal further.